KDESU(1)

NAME
kdesu - Executa um programa com privilégios elevados

SYNOPSIS

kdesu [-c] [-d] [-f arquivo] [-i nome do ícone] [-n] [-p prioridade] [-r] [-s] [-t] [-u usuário] [--nonewdcop] [comando [arg1] [arg2] [...]]

kdesu [Opções Genéricas do KDE] [Opções Genéricas do Qt]

DESCRIçãO

O KDE su é uma interface gráfica para o comando de UNIX® su para o Ambiente de Trabalho K. Permite-lhe executar um programa com um usuário diferente, indicando a senha desse usuário. O KDE su é um programa sem privilégios; ele usa apenas o su do sistema.

O KDE su tem uma funcionalidade adicional: poderá recordar opcionalmente as senhas para você. Se estiver usando esta funcionalidade, só terá de indicar uma vez a senha para cada comando.

Este programa pretende ser iniciado a partir da linha de comando ou a partir de arquivos .desktop.

OPçõES

-c programa
    Isto indica que o programa é executado como 'root'. Tem que ser passado um argumento. Assim se, por exemplo, você quiser iniciar um novo gerenciador de arquivos, irá inserir na linha de comando: kdesu-c kfm -sw

-d  Mostra informações sobre a depuração.

-f arquivo
    Esta opção permite um uso eficiente do KDE su em arquivos .desktop. Isto diz ao KDE su para examinar o arquivo indicado em arquivo. Se este arquivo puder ser alterado pelo usuário atual, o KDE su irá executar o comando com esse usuário. Se não puder ser alterado, o comando é executado com o usuário usuário (o 'root', por padrão). O arquivo é avaliado da seguinte forma: se o arquivo começar por um /, é usado como um arquivo absoluto. Caso contrário, é tratado como o nome de um arquivo de configuração global do KDE. Por exemplo: para configurar o gerenciador de login do KDE, o kdm, você poderá usar o comando kdesu -c kdmconfig -f kdmrc

-i nome do ícone
    Indica o ícone a usar na janela da senha. Você poderá indicar apenas o nome, sem qualquer extensão.

-n  Não memorizar a senha. Isto desativa a opção "guardar senha" na janela correspondente.

-p prioridade
    Indica o valor da prioridade. A prioridade é um número qualquer entre 0 e 100, onde o 100 corresponde à prioridade máxima e o 0 à mínima. O valor por padrão é 50.

-r  Usa o escalonamento em tempo real.

-s  Pára o servidor do 'kdesu'. Este é o servidor que coloca em 'cache' as senhas bem-sucedidas em segundo plano. Esta funcionalidade também poderá ser desativada com o -n, quando o KDE su é executado inicialmente.

-t  Permite enviar o resultado para o terminal. Isto desativa a memorização de senhas. É largamente usado para efeitos de depuração; se você quiser executar um aplicativo no modo de console, use o comando "su" normal.

-u usuário
    Embora a utilização mais comum do KDE su seja rodar um comando como super-usuário, você poderá indicar qualquer nome de usuário e a senha apropriada.

VEJA TAMBéM

su(1)

Está disponível um documentação de usuário mais detalhada em help:/kdesu (tanto poderá inserir este URL no Konqueror, como executar khelpcenter help:/kdesu).

EXEMPLOS

Executar o kfmclient com o usuário ze, e mostrar o ícone do Konqueror na janela de senhas:

    kdesu -u ze -i konqueror kfmclient

AUTORES

O KDE su foi criado por Geert Jansen <jansen@kde.org> e Pietro Iglio <iglio@fub.it>.

AUTHOR
Lauri Watts.